Loading...
Searching...
No Matches
osmo_tlv_prot_def Struct Reference
TLV parser

Osmocom TLV protocol definition. More...

`#include <tlv.h>`

## Data Fields

const char * | name
| human-readable name of protocol
const struct tlv_definition * | tlv_def
| TLV parser definition (optional).
struct osmo_tlv_prot_msg_def | msg_def [256]
| definition of each message (8-bit message type)
struct osmo_tlv_prot_ie_def | ie_def [256]
| definition of IE for each 8-bit tag
const struct value_string * | msgt_names
| value_string array of message type names (legacy, if not populated in msg_def)

## Detailed Description

Osmocom TLV protocol definition.

## Field Documentation

## ie_def

struct osmo_tlv_prot_ie_def osmo_tlv_prot_def::ie_def[256]

definition of IE for each 8-bit tag

Referenced by osmo_tlv_prot_ie_name(), and osmo_tlv_prot_validate_tp().

## msg_def

struct osmo_tlv_prot_msg_def osmo_tlv_prot_def::msg_def[256]

definition of each message (8-bit message type)

Referenced by osmo_tlv_prot_msg_name(), osmo_tlv_prot_msgt_flags(), and osmo_tlv_prot_validate_tp().

## msgt_names

const struct value_string* osmo_tlv_prot_def::msgt_names

value_string array of message type names (legacy, if not populated in msg_def)

Referenced by osmo_tlv_prot_msg_name().

## name

const char* osmo_tlv_prot_def::name

human-readable name of protocol

Referenced by osmo_tlv_prot_parse(), and osmo_tlv_prot_validate_tp().

## tlv_def

const struct tlv_definition* osmo_tlv_prot_def::tlv_def

TLV parser definition (optional).

Referenced by osmo_tlv_prot_parse().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/tlv.h